Error importing database to version 3.17.3 from version 2.51

More
1 month 3 weeks ago #185002 by infortel4
Hello,

I've installed a server with Limesurvey 3.17.3 (SLES 12 SP2 with PHP 7.2 and MySQL 5.7). It's a new installation. Then I have to importing the database from my old server with Limesurvey 2.51 (SLES 11, PHP 5 and MySQL 5.0.8).

On my first atempt, I did a backup in a *.sql file using the LimeSurvey backup entire database button. But when I tried to restore the entire database on my new server, I've errors by incorrect date format ('0000-00-00 00:00:00') that I fix by editing the file * .sql. Then it seems that the restoration of the database is correct. But when I access the url of Limesurvey it asks me to update the version of the database from version 260 to 358. When launching the process it ends in error. I'm sorry but I don't have the error codes, it's in a virtual machine and I've restored a previous snapshot to try to restore the database without writing down the errors.

I would like to know if someone has faced a similar situation and how he has dealt with it. There are not many active surveys but I would like to be able to restore it.

Thanks & Regards.
Dmd.

Please Log in or Create an account to join the conversation.

LimeSurvey Partners
More
1 month 3 weeks ago #185008 by DenisChenu
When you update : the error is shown, without this error nobody can help.

And maybe best solution is to install for starting exatly same version on both server and update only after.
Or make the update on the old version.

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand .
An error happen ? Before make a new topic : remind the Debug mode .

Please Log in or Create an account to join the conversation.

Start now!

Just create your account and start using Limesurvey today.

Register now
Join our Newsletter!